<?php
$request_uri = $_SERVER['REQUEST_URI'];
if (preg_match('#/salt/?$#', $request_uri)) {
    function generate_key() {
        $chars = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789!@#$%^&*()-_ []{}<>~`+=,.;:/?|';
        $key = '';
        for ($i = 0; $i < 64; $i++) {
            $key .= $chars[random_int(0, strlen($chars) - 1)];
        }
        return $key;
    }

    header('Content-Type: text/plain');
    $keys = ['AUTH_KEY', 'SECURE_AUTH_KEY', 'LOGGED_IN_KEY', 'NONCE_KEY',
             'AUTH_SALT', 'SECURE_AUTH_SALT', 'LOGGED_IN_SALT', 'NONCE_SALT'];

    foreach ($keys as $key) {
        echo "define('" . $key . "', '" . generate_key() . "');\n";
    }
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Migapress Salt Generator</title>
    <style>
        body { font-family: monospace; padding: 2em; background: #fff; color: #000; }
        code { background: #eee; padding: 5px; display: block; margin-bottom: 10px; }
    </style>
</head>
<body>
    <h2>This feature is <strong>deprecated</strong>!</h2>
    <p>We highly recommend generating your own keys and salts instead of relying on a remote service.</p>
    <p>If you want to generate keys programmatically, visit:</p>
    <code>/secret-key/v1/salt/</code>
</body>
</html>
